{
    "env": {
        "browser": true,
        "es6": true
    },
    "extends": [
        "eslint:recommended",
        "plugin:react/recommended"
    ],
    "parserOptions": {
        "ecmaFeatures": {
            "jsx": true
        },
        "ecmaVersion": 2018,
        "sourceType": "module"
    },
    "plugins": [
        "react"
    ],
    "rules": {
        "indent": [
            "error",
            "tab"
        ],
        "linebreak-style": [
            "error",
            "unix"
        ],
        "quotes": [
            "error",
            "single"
        ],
        "semi": [
            "error",
            "always"
        ],
        "no-var": [
            "error"
        ],
        "prefer-const": [
            "error"
        ],
        "react/prop-types":[
            "error"
        ],
        "react/default-props-match-prop-types":[
            "error"
        ],
        "space-before-function-paren":"warn",
        "space-before-blocks": "warn",
        "keyword-spacing":"warn",
        "key-spacing":"warn",
        "space-infix-ops":"warn"
    }
}
